package cat.hack3.codingtests.marsrover.api.commands;

import cat.hack3.codingtests.marsrover.api.Rover;

public interface RoverCommandFactory {
    RoverCommand create(String commandName) throws InvalidCommandNameProvided;

    interface Provider {
        RoverCommandFactory provideWith(Rover rover);
    }

    class InvalidCommandNameProvided extends RuntimeException{}
}
