package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RiderRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverActionReport;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

public class MoveBackwardsCommand implements RoverCommand {
    private final RiderRover rover;

    public MoveBackwardsCommand(RiderRover rover) {
        this.rover = rover;
    }

    @Override
    public RoverActionReport execute() {
        return rover.moveTowards(rover.getCurrentDirection().reversed());
    }
}
