package cat.hack3.codingtests.marsrover.api.cartography;

import java.util.List;

public interface PlanetMap {

    Coordinates getNextPositionTowards(Direction direction);

    void updateLocation(Coordinates newPosition);

    boolean willCollideWithObstacle(Coordinates newCoordinates);

    Coordinates getCurrentPosition();

    interface Provider {
        PlanetMap provideWith(int height, int width, Coordinates startingCoordinates, List<Coordinates> obstaclesLocalizations);
    }
}
