package cat.hack3.codingtests.marsrover.commands;


import cat.hack3.codingtests.marsrover.api.RotableRover;
import cat.hack3.codingtests.marsrover.api.commands.RoverActionReport;
import cat.hack3.codingtests.marsrover.api.commands.RoverCommand;

import static cat.hack3.codingtests.marsrover.api.RotableRover.Rotation.LEFT;

public class TurnLeftCommand implements RoverCommand {
    private final RotableRover rover;

    public TurnLeftCommand(RotableRover rover) {
        this.rover = rover;
    }

    @Override
    public RoverActionReport execute() {
        return rover.rotateTowards(LEFT);
    }
}
